using System;
using System.IO;

namespace com.macromedia.mesh.utils
{
	public class DirectoryUtils
	{
		private DirectoryUtils()
		{
		}

		public static DirectoryInfo GetFile(string filePath)
		{
			return DirectoryUtils.GetFile(new DirectoryInfo(filePath));
		}

		public static DirectoryInfo GetFile(DirectoryInfo dir)
		{
			if(!dir.Exists)
			{
				dir.Create();
			}

			return dir;
		}
	}
}